import argparse
import tornado.ioloop
import tornado.log
import tornado.options
import tornado.web
from ai_strategy_request_handler import *
from advertiser_strategy_operate import *
from ai_callback_handler import *


def create_application():
    web_application = tornado.web.Application([
        (r"/ai_strategy_request", AiStrategyRequestParse),
        (r"/ai_callback_add_group", AiCallBackAddGroup),
        (r"/ai_callback_add_creative", AiCallBackAddCreative),
        (r"/add_advertiser_strategy", AddAdvertiserStrategy),
    ])
    return web_application


if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument('-p', '--port', type=int, default=31012)
    args = parser.parse_args()
    application = create_application()
    application.listen(args.port)
    tornado.ioloop.IOLoop.instance().start()
